__gnu_debug::_BeforeBeginHelper< _Sequence > Struct Template Reference

`#include <safe_iterator.h>`

## Static Public Member Functions

template<typename _Iterator, typename _Category>
static bool | _S_Is (const _Safe_iterator< _Iterator, _Sequence, _Category > &)
template<typename _Iterator, typename _Category>
static bool | _S_Is_Beginnest (const _Safe_iterator< _Iterator, _Sequence, _Category > &__it)

## Detailed Description

template<typename _Sequence>
struct __gnu_debug::_BeforeBeginHelper< _Sequence >

Helper struct to deal with sequence offering a before_begin iterator.

Definition at line 72 of file safe_iterator.h.

## Member Function Documentation

## _S_Is()

template<typename _Sequence>
template<typename _Iterator, typename _Category>

bool __gnu_debug::_BeforeBeginHelper< _Sequence >::_S_Is | ( | const _Safe_iterator< _Iterator, _Sequence, _Category > & |  | ) |

inline static

Definition at line 76 of file safe_iterator.h.

## _S_Is_Beginnest()

template<typename _Sequence>
template<typename _Iterator, typename _Category>

bool __gnu_debug::_BeforeBeginHelper< _Sequence >::_S_Is_Beginnest | ( | const _Safe_iterator< _Iterator, _Sequence, _Category > & | __it | ) |

inline static

Definition at line 81 of file safe_iterator.h.

The documentation for this struct was generated from the following file:

- safe_iterator.h